#!/bin/bash

generate_random_double() {
    echo "scale=2; $RANDOM / 32767 * 100" | bc
}

while true; do
    val1=$(generate_random_double)
    val2=$(generate_random_double)
    val3=$(generate_random_double)
    val4="-nan"

    echo "$val1,$val2,$val3,$val4"
    sleep 1
done
